Package gov.nasa.gsfc.sscweb.schema

# Class FilteredCoordinateOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.CoordinateOptions
gov.nasa.gsfc.sscweb.schema.FilteredCoordinateOptions

public class FilteredCoordinateOptions extends CoordinateOptions
Coordinate system component options that include location filters. <p>Java class for FilteredCoordinateOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="FilteredCoordinateOptions"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}CoordinateOptions"> <sequence> <element name="Filter" type="{http://sscweb.gsfc.nasa.gov/schema}LocationFilter" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected LocationFilter`
  `filter`
  Specifies filter criteria.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.CoordinateOptions

  `component, coordinateSystem`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilteredCoordinateOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LocationFilter`
  `getFilter()`
  Specifies filter criteria.
  `void`
  `setFilter(LocationFilter value)`
  Sets the value of the filter property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.CoordinateOptions

  `getComponent, getCoordinateSystem, setComponent, setCoordinateSystem`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### filter

    protected LocationFilter filter
    Specifies filter criteria.

- ## Constructor Details

  - ### FilteredCoordinateOptions

    public FilteredCoordinateOptions()

- ## Method Details

  - ### getFilter

    public LocationFilter getFilter()
    Specifies filter criteria.
    Returns:
      possible object is `LocationFilter`

  - ### setFilter

    public void setFilter(LocationFilter value)
    Sets the value of the filter property.
    Parameters:
      `value` - allowed object is `LocationFilter`
    See Also:
      - `getFilter()`